Skip to main content
POST
/
management
/
clients
curl -X POST "https://api.cryptomate.me/management/clients" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "phone_country_code": 1,
    "phone_number": 4155551234,
    "username": "johndoe123",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@example.com",
    "birth_date": "1990-05-15",
    "otp": true,
    "sms": true,
    "address": {
      "street_line_1": "123 Main Street",
      "city": "San Francisco",
      "postal_code": "94102",
      "state": "CA",
      "country": "US"
    },
    "individual_identification": "123-45-6789",
    "individual_identification_type": "SSN"
  }'
{
  "id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "company_id": "comp_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
  "type": "individual",
  "status": "PENDING",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john.doe@example.com",
  "phone_country_code": 1,
  "phone_number": 4155551234,
  "created_at": "2026-04-15T10:30:00",
  "updated_at": "2026-04-15T10:30:00"
}
Creates a new individual client for the company with personal information, contact preferences, and optional identity documents. Requires an API key with access level 3 or higher.

Body

phone_country_code
integer
Phone country code.
phone_number
long
Phone number.
username
string
Client username.
first_name
string
Client first name.
second_name
string
Client middle or second name.
last_name
string
Client last name.
otp
boolean
Enable OTP authentication.
sms
boolean
Enable SMS notifications.
whatsapp
boolean
Enable WhatsApp notifications.
telegram
boolean
Enable Telegram notifications.
email
string
Client email address.
gender
string
Client gender.
birth_date
string
Date of birth (yyyy-mm-dd).
expiration_date
string
Document expiration date (yyyy-mm-dd).
address
object
Physical address object with street_line_1, street_line_2, city, postal_code, state, country.
individual_identification
string
Individual identification number (e.g., SSN, Tax ID).
individual_identification_type
string
Individual identification type (e.g., SSN).
bank_ramp
boolean
Enable bank ramp functionality.
credit_card_ramp
boolean
Enable credit card ramp functionality.
individual_cards
boolean
Enable individual cards (Rain) functionality.
occupation
string
Client occupation (required for Rain).
annual_salary
string
Client annual salary (required for Rain).
account_purpose
string
Account purpose (required for Rain).
expected_monthly_volume
string
Expected monthly volume (required for Rain).
documents
array
List of identity documents with fields id, name, description, issuing_country, number, image_front, image_back.

Response

id
string
Unique client identifier.
company_id
string
Company identifier.
type
string
Client type: individual or business.
status
string
Account status.
first_name
string
Client first name.
last_name
string
Client last name.
email
string
Client email.
phone_country_code
integer
Phone country code.
phone_number
long
Phone number.
created_at
string
Creation timestamp.
updated_at
string
Last update timestamp.
curl -X POST "https://api.cryptomate.me/management/clients" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "phone_country_code": 1,
    "phone_number": 4155551234,
    "username": "johndoe123",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@example.com",
    "birth_date": "1990-05-15",
    "otp": true,
    "sms": true,
    "address": {
      "street_line_1": "123 Main Street",
      "city": "San Francisco",
      "postal_code": "94102",
      "state": "CA",
      "country": "US"
    },
    "individual_identification": "123-45-6789",
    "individual_identification_type": "SSN"
  }'
{
  "id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "company_id": "comp_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
  "type": "individual",
  "status": "PENDING",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john.doe@example.com",
  "phone_country_code": 1,
  "phone_number": 4155551234,
  "created_at": "2026-04-15T10:30:00",
  "updated_at": "2026-04-15T10:30:00"
}